tigase.component

## Class ComponenScriptCommandProcessor

- java.lang.Object
- - tigase.component.ComponenScriptCommandProcessor

- All Implemented Interfaces:
    AdHocCommandModule.ScriptCommandProcessor

      @Bean(name="scriptCommandProcessor",
            active=true)
      public class ComponenScriptCommandProcessor
      extends Object
      implements AdHocCommandModule.ScriptCommandProcessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponenScriptCommandProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Element>` | `getScriptItems(String node, JID jid, JID from)`
    `boolean` | `isAllowed(String node, JID from)`
    `boolean` | `isAllowed(String node, String domain, JID from)`
    `boolean` | `processScriptCommand(Packet pc, Queue<Packet> results)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponenScriptCommandProcessor

          public ComponenScriptCommandProcessor()

  - ### Method Detail

    - #### getScriptItems

          public List<Element> getScriptItems(String node,
                                              JID jid,
                                              JID from)

      Specified by:
        `getScriptItems` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### processScriptCommand

          public boolean processScriptCommand(Packet pc,
                                              Queue<Packet> results)

      Specified by:
        `processScriptCommand` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### isAllowed

          public boolean isAllowed(String node,
                                   JID from)

      Specified by:
        `isAllowed` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### isAllowed

          public boolean isAllowed(String node,
                                   String domain,
                                   JID from)

      Specified by:
        `isAllowed` in interface `AdHocCommandModule.ScriptCommandProcessor`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.